import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetDeploymentGroupInput,
  GetDeploymentGroupOutput,
} from "../models/models_0";
export { __MetadataBearer };
export interface GetDeploymentGroupCommandInput
  extends GetDeploymentGroupInput {}
export interface GetDeploymentGroupCommandOutput
  extends GetDeploymentGroupOutput,
    __MetadataBearer {}
declare const GetDeploymentGroupCommand_base: {
  new (
    input: GetDeploymentGroupCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetDeploymentGroupCommandInput,
    GetDeploymentGroupCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: GetDeploymentGroupCommandInput
  ): import("@smithy/core/client").CommandImpl<
    GetDeploymentGroupCommandInput,
    GetDeploymentGroupCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class GetDeploymentGroupCommand extends GetDeploymentGroupCommand_base {
  protected static __types: {
    api: {
      input: GetDeploymentGroupInput;
      output: GetDeploymentGroupOutput;
    };
    sdk: {
      input: GetDeploymentGroupCommandInput;
      output: GetDeploymentGroupCommandOutput;
    };
  };
}
